import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserCreateNestedOneWithoutShoppingVendorsInputObjectSchema as UserCreateNestedOneWithoutShoppingVendorsInputObjectSchema } from './UserCreateNestedOneWithoutShoppingVendorsInput.schema'

const makeSchema = () => z.object({
  vendorName: z.string(),
  websiteUrl: z.string(),
  loginUsername: z.string(),
  loginPassword: z.string(),
  user: z.lazy(() => UserCreateNestedOneWithoutShoppingVendorsInputObjectSchema)
}).strict();
export const ShoppingVendorCreateInputObjectSchema: z.ZodType<Prisma.ShoppingVendorCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorCreateInput>;
export const ShoppingVendorCreateInputObjectZodSchema = makeSchema();
